import { Component } from 'react';
import './_toc-index.scss';
declare class TableOfContent extends Component {
    props: any;
    state: any;
    static propTypes: any;
    constructor(props: any);
    extractCatName(name: any): any;
    render(): import("react/jsx-runtime").JSX.Element;
}
export default TableOfContent;
